/*
# -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Firefox Preferences System.
#
# The Initial Developer of the Original Code is
# Ben Goodger.
# Portions created by the Initial Developer are Copyright (C) 2005
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Ben Goodger <ben@mozilla.org>
#   Kevin Gerich <webmail@kmgerich.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
*/
.prefWindow-dlgbuttons {
  margin: 0 12px 8px 12px;
}

#BrowserPreferences .prefWindow-dlgbuttons {
  padding-top: 0 !important;
}

.windowDialog {
  padding: 12px;
  font: -moz-dialog;
}

.paneSelector {
  list-style-image: url("chrome://browser/skin/preferences/Options.png");
  padding: 0 5px;
  border-bottom: 1px solid #a3a3a3;
  background: url("chrome://global/skin/toolbar/toolbar-pinstripe-overlay.png") repeat;
  margin: 0;
}

.paneSelector radio {
  border-right: 1px solid transparent;
  border-left: 1px solid transparent;
  padding: 3px 0 3px 0;
  margin: 0;
  -moz-appearance: none !important;
}

radio[pane][selected="true"] {
    background-color: #DDDDDD;
    background-image: none;
    border-right: 1px solid #b9b9b9;
    border-left: 1px solid #b9b9b9;
    color: ButtonText !important;
}


/* ----- GENERAL BUTTON ----- */

radio[pane=paneGeneral],
radio[pane=paneMain] {
	-moz-image-region: rect(0px, 32px, 32px, 0px)
}
radio[pane=paneGeneral]:hover, 
radio[pane=paneGeneral]:active,
radio[pane=paneGeneral][selected="true"],
radio[pane=paneMain]:hover, 
radio[pane=paneMain]:active,
radio[pane=paneMain][selected="true"]  {
	-moz-image-region: rect(32px, 32px, 64px, 0px)
}

/* ----- TABS BUTTON ----- */

radio[pane=paneTabs] {
	-moz-image-region: rect(0px, 64px, 32px, 32px);
}
radio[pane=paneTabs]:hover,
radio[pane=paneTabs]:active,
radio[pane=paneTabs][selected="true"] {
	-moz-image-region: rect(32px, 64px, 64px, 32px);
}

/* ----- CONTENT BUTTON ----- */

radio[pane=paneContent] {
	-moz-image-region: rect(0px, 96px, 32px, 64px);
}

radio[pane=paneContent]:hover,
radio[pane=paneContent]:active,
radio[pane=paneContent][selected="true"] {
	-moz-image-region: rect(32px, 96px, 64px, 64px);
}

/* ----- APPLICATIONS BUTTON ----- */

radio[pane=paneApplications] {
	-moz-image-region: rect(0px, 128px, 32px, 96px);
}
radio[pane=paneApplications]:hover,
radio[pane=paneApplications]:active,
radio[pane=paneApplications][selected="true"] {
	-moz-image-region: rect(32px, 128px, 64px, 96px);
}

/* ----- PRIVACY BUTTON ----- */

radio[pane=panePrivacy] {
	-moz-image-region: rect(0px, 160px, 32px, 128px);
}
radio[pane=panePrivacy]:hover,
radio[pane=panePrivacy]:active,
radio[pane=panePrivacy][selected="true"] {
	-moz-image-region: rect(32px, 160px, 64px, 128px);
}

/* ----- SECURITY BUTTON ----- */

radio[pane=paneSecurity] {
	-moz-image-region: rect(0px, 192px, 32px, 160px);
}
radio[pane=paneSecurity]:hover,
radio[pane=paneSecurity]:active,
radio[pane=paneSecurity][selected="true"] {
	-moz-image-region: rect(32px, 192px, 64px, 160px);
}

/* ----- ADVANCED BUTTON ----- */

radio[pane=paneAdvanced] {
	-moz-image-region: rect(0px, 224px, 32px, 192px);
}
radio[pane=paneAdvanced]:hover,
radio[pane=paneAdvanced]:active,
radio[pane=paneAdvanced][selected="true"] {
	-moz-image-region: rect(32px, 224px, 64px, 192px);
}



.content-box > separator {
  border: 1px solid red;
}

description {
  font: small-caption;
  font-weight: normal;
  line-height: 1.3em;
  margin-bottom: 4px !important;
}

#downloadFolderIcon {
  width: 16px;
  height: 16px;
}

#downloadFolderContainer {
  margin: 2px 4px 2px 27px;
  -moz-appearance: textfield;
}

#downloadFolderContainer2 {
  background-color: -moz-Dialog;
  color: -moz-DialogText;
  margin: 1px;
  padding: 0px 0px 0px 3px;
}

#downloadFolder {
  -moz-appearance: none;
  background-color: transparent;
  border: none;
  padding: 1px 0px 0px 0px;
}

prefpane .groupbox-body {
  border: none !important;
  -moz-border-radius: 0px !important;
  background-image: none !important;
  padding: 8px 4px 4px 4px;
}

#paneTabs > groupbox {
  margin: 0;
}

#paneTabs > vbox {
  margin: 12px 4px;
}

prefpane .groupbox-title {
  background: url("chrome://global/skin/50pct_transparent_grey.png") repeat-x bottom left;
  margin-bottom: 4px;
}

caption {
  border-bottom: 1px solid #ECECEC;
  padding: 4px 4px 0px 0px !important;
}

#paneMain description,
#paneContent description,
#paneAdvanced description,
#paneSecurity description {
  font: -moz-dialog;
}

#paneContent {
  padding-top: 8px;
}

#paneContent row {
  padding: 2px 4px;
  -moz-box-align: center;
}

#popupPolicyRow, #enableSoftwareInstallRow, #enableImagesRow {
  margin-bottom: 4px !important;
  padding-bottom: 4px !important;
  border-bottom: 1px solid #ccc;
}

#enableImagesRow {
  -moz-box-align: start !important;
}

#browserUseCurrent, #browserUseBookmark, #browserUseBlank {
  margin-top: 10px;
}

#advancedPrefs {
  margin: 0 8px;
}

#privacyPrefs {
  padding: 0 4px;
}

#privacyPrefs > tabpanels {
  padding: 18px 10px 10px 10px;
}

#OCSPDialogPane {
  font: message-box !important;
}

/**
 * Update Preferences
 */
#autoInstallOptions {
  -moz-margin-start: 20px;
}

.updateControls {
  -moz-margin-start: 10px;
}
